package com.jiayue.cppclient;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.TaskScheduler;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;

@SpringBootApplication
@EnableScheduling
public class CppClientApplication {

    public static void main(String[] args) {
        SpringApplication.run(CppClientApplication.class, args);
    }


    @Bean
    public TaskScheduler taskScheduler(){
        ThreadPoolTaskScheduler taskScheduler = new ThreadPoolTaskScheduler();
        // 线程池大小
        taskScheduler.setPoolSize(20);
        // 线程名字的前缀
        taskScheduler.setThreadNamePrefix("taskScheduler");
        return taskScheduler;
    }
}
